Skip to main content
GET
/
api
/
vyrocna-sprava
Get annual report
curl --request GET \
  --url https://www.registeruz.sk/cruz-public/api/vyrocna-sprava
{
  "id": 123,
  "idUJ": 123,
  "nazovUJ": "<string>",
  "typ": "Ročná finančná správa",
  "obdobieOd": "<string>",
  "obdobieDo": "<string>",
  "datumPodania": "<string>",
  "datumZostaveniaK": "<string>",
  "nazovFondu": "<string>",
  "leiKod": "<string>",
  "pristupnostDat": "Verejné",
  "idUctovnychVykazov": [
    123
  ],
  "prilohy": [
    {
      "id": 123,
      "meno": "<string>",
      "mimeType": "<string>",
      "velkostPrilohy": 123,
      "pocetStran": 123,
      "digest": "<string>",
      "jazyk": "<string>"
    }
  ],
  "zdrojDat": "<string>",
  "datumPoslednejUpravy": "<string>"
}
To get an annual report ID, use List annual reports.
Learn more about Data access pattern used across the RÚZ API.

Common patterns

Annual reports can include attachments such as scanned documents and PDFs. These are listed in the prilohy array.Download the file from the attachment URL: https://www.registeruz.sk/domain/financialreport/attachment/{id}
Download an attachment from an annual report
// 1. Pick the first attachment from the report
const attachment = annualReport.prilohy[0];

// 2. Download the file from the attachment URL
const file = await fetch(
  `https://www.registeruz.sk/domain/financialreport/attachment/${attachment.id}`
);
Reports with pristupnostDat: "Neverejné" return metadata and structure only — attachments are not publicly available.

Query Parameters

id
integer
required

Entity identifier — obtained from an identifier list endpoint.

Response

Annual report returned successfully.

An annual report (výročná správa) belonging to an accounting unit.

id
integer

Unique identifier.

idUJ
integer

ID of the parent accounting unit.

nazovUJ
string

Name of the accounting unit at time of filing.

typ
enum<string>

Report type.

Available options:
Ročná finančná správa,
Individuálna výročná správa,
Konsolidovaná výročná správa,
Súhrnná výročná správa SR
obdobieOd
string

Period start (YYYY-MM).

obdobieDo
string

Period end (YYYY-MM).

datumPodania
string

Date filed (YYYY-MM-DD).

datumZostaveniaK
string

Balance sheet date (YYYY-MM-DD).

nazovFondu
string

Fund name — present only for fund reports.

leiKod
string

LEI code (20 characters).

pristupnostDat
enum<string>

Data accessibility.

Available options:
Verejné,
Neverejné
idUctovnychVykazov
integer[]

IDs of linked financial reports.

prilohy
object[]

Downloadable attachments. Fetch each file at /domain/financialreport/attachment/{id}.

zdrojDat
string

Data source code.

datumPoslednejUpravy
string

Date last modified (YYYY-MM-DD).